SSL_LIBRARY_INIT(3)

NAME
SSL_library_init, OpenSSL_add_ssl_algorithms, SSLeay_add_ssl_algorithms - initialize SSL library by registering algorithms

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
int
SSL_library_init(void);
int
OpenSSL_add_ssl_algorithms(void);
int
SSLeay_add_ssl_algorithms(void);

DESCRIPTION
These functions are deprecated. It is never useful for any application program to call any of them explicitly. The library automatically calls them internally whenever needed.

SSL_library_init() registers the available ciphers and digests which are used directly or indirectly by TLS.

OpenSSL_add_ssl_algorithms() and SSLeay_add_ssl_algorithms() are synonyms for SSL_library_init() and are implemented as macros.

RETURN VALUES
SSL_library_init() always returns 1.

SEE ALSO
ssl(3)

HISTORY
SSLeay_add_ssl_algorithms() first appeared in SSLeay 0.8.0 and has been available since OpenBSD 2.4.

SSL_library_init() first appeared in OpenSSL 0.9.2b and has been available since OpenBSD 2.6.

OpenSSL_add_ssl_algorithms() first appeared in OpenSSL 0.9.5 and has been available since OpenBSD 2.7.